package com.yc.ship.module.resource.controller.admin.audit.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 审核记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AuditRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21742")
    @ExcelProperty("主键id")
    private String id;

    @Schema(description = "业务id")
    @ExcelProperty("业务id")
    private String objId;

    @Schema(description = "审核意见")
    @ExcelProperty("审核意见")
    private String content;

    @Schema(description = "审核类型", example = "1")
    @ExcelProperty("审核类型")
    private String auditType;

    @Schema(description = "审核状态", example = "1")
    @ExcelProperty("审核状态")
    private String auditStatus;

    @Schema(description = "审核时间")
    @ExcelProperty("审核时间")
    private LocalDateTime auditTime;

    @Schema(description = "审核人")
    @ExcelProperty("审核人")
    private String auditor;

    @Schema(description = "创建人")
    @ExcelProperty("创建人")
    private String creator;

    @Schema(description = "创建人名称")
    @ExcelProperty("创建人名称")
    private String creatorName;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
