package com.yc.ship.module.resource.controller.admin.baseprice.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 基础产品价格 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProductBasePriceRespVO {

    @Schema(description = "主键", example = "25707")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "基础产品ID", example = "1129")
    @ExcelProperty("基础产品ID")
    private Long productBaseId;

    @Schema(description = "项目ID", example = "12571")
    @ExcelProperty("项目ID")
    private Long projectId;

    @Schema(description = "规格ID", example = "21250")
    private Long specificationId;

    @Schema(description = "规格名称", example = "21250")
    @ExcelProperty("规格名称")
    private String specificationName;

    @Schema(description = "成本价格", example = "26505")
    @ExcelProperty("成本价格")
    private BigDecimal costPrice;

    @Schema(description = "销售价格", example = "8982")
    @ExcelProperty("销售价格")
    private BigDecimal salePrice;

    @Schema(description = "价格类型:common通用 full全价 half半价 free免票", example = "1")
    @ExcelProperty("价格类型:common通用 full全价 half半价 free免票")
    private String specType;

}