package com.yc.ship.module.resource.controller.admin.car.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 车辆管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CarListRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "11492")
    @ExcelProperty("主键ID")
    private String id;

    @Schema(description = "车牌号")
    @ExcelProperty("车牌号")
    private String carNo;

    @Schema(description = "车辆类型ID", example = "12923")
    private String carTypeId;

    @Schema(description = "车辆类型名称", example = "鄂E18266D")
    @ExcelProperty("车辆类型名称")
    private String carTypeName;

    @Schema(description = "车辆载荷")
    @ExcelProperty("车辆载荷")
    private Integer carMaxLoad;

    @Schema(description = "供应商ID（车辆提供方表获取）", example = "20022")
    @ExcelProperty("供应商ID（车辆提供方表获取）")
    private String companyId;

    @Schema(description = "供应商名称", example = "xxx公司")
    @ExcelProperty("供应商名称")
    private String companyName;

    @Schema(description = "供应商类型名称", example = "内部供应商")
    @ExcelProperty("供应商类型名称")
    private String supplierTypeName;

    @Schema(description = "车辆状态（正常、维修中、年检、停运）", example = "1")
    @ExcelProperty("车辆状态（正常、维修中、年检、停运）")
    private Integer carStatus;

    @Schema(description = "标签")
    @ExcelProperty("标签")
    private String carTag;

    @Schema(description = "备注", example = "你猜")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "默认驾驶员表ID", example = "3571")
    @ExcelProperty("默认驾驶员表ID")
    private String driverId;

    @Schema(description = "驾驶员名称", example = "张三")
    @ExcelProperty("驾驶员名称")
    private String driverName;

    @Schema(description = "驾驶员电话", example = "驾驶员电话")
    @ExcelProperty("驾驶员电话")
    private String phone;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sort;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新时间")
    @ExcelProperty("更新时间")
    private LocalDateTime updateTime;

    @Schema(description = "供应商类型（字典supplier_type，内部/外部）", example = "2")
    private Integer companyType;

    @Schema(description = "能源类型（字典energy_type）", example = "2")
    private Integer energyType;

}