package com.yc.ship.module.resource.controller.admin.cartype.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 车辆类型管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CarTypePageReqVO extends PageParam {

    @Schema(description = "类型名称", example = "赵六")
    private String name;

    @Schema(description = "类型编号")
    private String carCode;

    @Schema(description = "类型标准")
    private Integer carLevel;

    @Schema(description = "车辆载荷")
    private Integer carMaxLoad;

    @Schema(description = "类型固定成本")
    private BigDecimal carFixedCost;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "启用状态", example = "1")
    private Integer useStatus;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}