package com.yc.ship.module.resource.controller.admin.company.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 供应商分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CompanyPageReqVO extends PageParam {

    @Schema(description = "主键ID")
    private String id;

    @Schema(description = "供应商编码")
    private String companyCode;

    @Schema(description = "供应商名称", example = "王五")
    private String companyName;

    @Schema(description = "简称", example = "赵六")
    private String shortName;

    @Schema(description = "供应商类型（内部供应商、外部供应商） supplier_type", example = "1")
    private String companyType;

    @Schema(description = "资源类型（车辆、导游） resource_type", example = "1")
    private Integer resourceType;

    @Schema(description = "联系人")
    private String contactUser;

    @Schema(description = "联系电话")
    private String contactPhone;

    @Schema(description = "联系地址")
    private String contactAddr;

    @Schema(description = "合同签订日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] contractDate;

    @Schema(description = "状态(合作中、合作终止);合作中、合作终止 cooperation_status", example = "1")
    private Integer useStatus;

    @Schema(description = "合同信息(上传附件，可以多个文件);上传附件，可以多个文件")
    private String contractInfo;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @Schema(description = "开户银行", example = "赵六")
    private String bankName;

    @Schema(description = "开户账户")
    private String bankAccout;

    @Schema(description = "银行账号姓名", example = "赵六")
    private String bankUserName;

    @Schema(description = "联行号")
    private String bankLinkNo;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}