package com.yc.ship.module.resource.controller.admin.company.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 供应商 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CompanyRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14401")
    @ExcelProperty("主键ID")
    private String id;

    @Schema(description = "供应商编码")
    @ExcelProperty("供应商编码")
    private String companyCode;

    @Schema(description = "供应商名称", example = "王五")
    @ExcelProperty("供应商名称")
    private String companyName;

    @Schema(description = "简称", example = "赵六")
    @ExcelProperty("简称")
    private String shortName;

    @Schema(description = "供应商类型（内部供应商、外部供应商）", example = "1")
    @ExcelProperty("供应商类型（内部供应商、外部供应商）")
    private String companyType;

    @Schema(description = "联系人")
    @ExcelProperty("联系人")
    private String contactUser;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String contactPhone;

    @Schema(description = "联系地址")
    @ExcelProperty("联系地址")
    private String contactAddr;

    @Schema(description = "合同签订日期")
    @ExcelProperty("合同签订日期")
    private LocalDateTime contractDate;

    @Schema(description = "状态(合作中、合作终止);合作中、合作终止", example = "1")
    @ExcelProperty("状态(合作中、合作终止);合作中、合作终止")
    private Integer useStatus;

    @Schema(description = "合同信息(上传附件，可以多个文件);上传附件，可以多个文件")
    @ExcelProperty("合同信息(上传附件，可以多个文件);上传附件，可以多个文件")
    private String contractInfo;

    @Schema(description = "备注", example = "你猜")
    @ExcelProperty("备注")
    private String remark;


    @Schema(description = "开户银行", example = "赵六")
    @ExcelProperty("开户银行")
    private String bankName;

    @Schema(description = "开户账户")
    @ExcelProperty("开户账户")
    private String bankAccout;

    @Schema(description = "银行账号姓名", example = "赵六")
    @ExcelProperty("银行账号姓名")
    private String bankUserName;

    @Schema(description = "联行号")
    @ExcelProperty("联行号")
    private String bankLinkNo;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

//    @Schema(description = "车辆资源")
//    @ExcelProperty("车辆资源")
//    private List<CompanyCarResourceRespVO> carResourceRespVOList;
//    @Schema(description = "游轮资源")
//    @ExcelProperty("游轮资源")
//    private List<CompanyBoatResourceRespVO> boatResourceRespVOList;
//    @Schema(description = "导游资源")
//    @ExcelProperty("导游资源")
//    private List<CompanyGuideResourceRespVO> guideResourceRespVOList;

}