package com.yc.ship.module.resource.controller.admin.driver.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Schema(description = "管理后台 - 驾驶员精简信息 Response VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DriverSimpleRespVO {

    @Schema(description = "驾驶员ID", example = "11")
    private String id;

    @Schema(description = "驾驶员名称", example = "张三")
    private String name;

    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "状态（字典use_status）", example = "1")
    private Integer useStatus;

    @Schema(description = "驾驶员id集合")
    private List<String> driverIds;
}