package com.yc.ship.module.resource.controller.admin.guide.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import com.yc.ship.module.resource.enums.DictTypeConstants;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 导游管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class GuideRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24302")
//    @ExcelProperty("主键ID")
    private String id;

    @Schema(description = "导游名称", example = "王五")
    @ExcelProperty("导游名称")
    private String name;

    @Schema(description = "导游编号")
    @ExcelProperty("导游编号")
    private String guideCode;

    @Schema(description = "微信号")
    @ExcelProperty("微信号")
    private String wxNo;


    @Schema(description = "导游证件到期时间")
    @ExcelProperty("导游证件到期时间")
    private LocalDateTime guideCardExpireDate;

    @Schema(description = "入职时间")
    @ExcelProperty("入职时间")
    private LocalDateTime entryDate;

    @Schema(description = "导游证件号")
    @ExcelProperty("导游证件号")
    private String guideCardCode;

    @Schema(description = "身份证号")
    @ExcelProperty("身份证号")
    private String idCard;

    @Schema(description = "性别")
    @ExcelProperty(value = "性别",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.SYSTEM_USER_SEX)
    private Integer sex;

    @Schema(description = "生日")
    @ExcelProperty("生日")
    private LocalDateTime birthday;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String phone;

    @Schema(description = "导游级别")
    @ExcelProperty(value = "导游级别",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.TECHNI_LEVEL)
    private String techniLevel;

    @Schema(description = "供应商ID", example = "2489")
    private String companyId;

    @Schema(description = "导游类型(0内部、1外部)", example = "1")
    @ExcelProperty(value="导游类型" ,converter = DictConvert.class)
    @DictFormat(DictTypeConstants.GUIDE_TYPE)
    private String guideType;

    @Schema(description = "学历", example = "2")
    @ExcelProperty(value="学历",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.EDU_TYPE)
    private Integer eduType;

    @Schema(description = "民族")
    @ExcelProperty(value = "民族",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.CHINA_NATION)
    private String nation;

    @Schema(description = "联系地址")
    @ExcelProperty("联系地址")
    private String address;

    @Schema(description = "紧急联系电话")
    @ExcelProperty("紧急联系电话")
    private String emergentPhone;

    @Schema(description = "语种", example = "2")
    @ExcelProperty("语种")
    private String languageType;

    @Schema(description = "所属分组")
//    @ExcelProperty("所属分组")
    private String groupCode;

    @Schema(description = "认证状态", example = "1")
    @ExcelProperty(value = "认证状态",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.AUTH_STATUS)
    private Integer authStatus;

    @Schema(description = "启用状态", example = "1")
    @ExcelProperty(value = "启用状态",converter = DictConvert.class)
    @DictFormat(DictTypeConstants.USE_STATUS)
    private Integer useStatus;

    @Schema(description = "导游特长")
    @ExcelProperty("导游特长")
    private String guideSpeciality;

    @Schema(description = "导游标签")
    @ExcelProperty("导游标签")
    private String guideTag;

    @Schema(description = "导游证件号正面")
//    @ExcelProperty("导游证件号正面")
    private String guideCardImgUrl1;

    @Schema(description = "导游证件号背面")
//    @ExcelProperty("导游证件号背面")
    private String guideCardImgUrl2;

    @Schema(description = "身份证证件号正面")
//    @ExcelProperty("身份证证件号正面")
    private String idCardImgUrl1;

    @Schema(description = "身份证证件号背面")
//    @ExcelProperty("身份证证件号背面")
    private String idCardImgUrl2;

    @Schema(description = "开户银行", example = "芋艿")
    @ExcelProperty("开户银行")
    private String bankName;

    @Schema(description = "开户账户")
    @ExcelProperty("开户账户")
    private String bankUserCode;

    @Schema(description = "银行账户名", example = "张三")
    @ExcelProperty("银行账户名")
    private String bankUserName;

    @Schema(description = "联行号")
    @ExcelProperty("联行号")
    private String bankUserLink;

    @Schema(description = "创建时间")
//    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
