package com.yc.ship.module.resource.controller.admin.resource.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 产品资源分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ResourcePageReqVO extends PageParam {

    @Schema(description = "资源名称", example = "李四")
    private String name;

    @Schema(description = "是否启用;0否 1是")
    private Integer isUse;

    @Schema(description = "供应商ID", example = "10875")
    private Long supplierId;

    @Schema(description = "来源", example = "1")
    private Integer sourceType;

    @Schema(description = "类别ID", example = "32017")
    private String categoryId;

    @Schema(description = "接入开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] startTime;

    @Schema(description = "截止时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] endTime;

    @Schema(description = "结算参考价", example = "6901")
    private BigDecimal price;

    @Schema(description = "第三方资源ID", example = "13752")
    private String thirdResourceId;

    @Schema(description = "对接类型", example = "2")
    private Integer accessType;

    @Schema(description = "总库存;不填表示不限制")
    private Integer stock;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}