package com.yc.ship.module.resource.controller.admin.resource.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 资源信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ResourceSimpleRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    private Long id;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "资源对接类型:0系统未对接 1系统直连", example = "0")
    private Integer accessType;

    @Schema(description = "资源类型:0内部资源，1外部资源", example = "0")
    private Integer sourceType;

    @Schema(description = "类别ID", example = "0")
    private Long categoryId;

    @Schema(description = "供应商ID", example = "10875")
    private Long supplierId;

    @Schema(description = "供应商名称")
    private String supplierName;

}