package com.yc.ship.module.resource.dal.dataobject.audit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 审核记录 DO
 *
 * @author 管理员
 */
@TableName("dispatch_audit")
@KeySequence("dispatch_audit_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AuditDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 审核意见
     */
    private String content;
    /**
     * 业务id
     */
    private String objId;
    /**
     * 审核类型
     */
    private String auditType;
    /**
     * 审核状态
     */
    private String auditStatus;
    /**
     * 审核时间
     */
    private LocalDateTime auditTime;
    /**
     * 审核人
     */
    private String auditor;

}
