package com.yc.ship.module.resource.dal.dataobject.cartype;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 车辆类型管理 DO
 *
 * @author 管理员
 */
@TableName("dispatch_car_type")
@KeySequence("dispatch_car_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CarTypeDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 类型名称
     */
    private String name;
    /**
     * 类型编号
     */
    private String carCode;
    /**
     * 类型标准
     */
    private Integer carLevel;
    /**
     * 车辆载荷(人)
     */
    private Integer carMaxLoad;
    /**
     * 类型固定成本(元)
     */
    private BigDecimal carFixedCost;
    /**
     * 备注
     */
    private String remark;
    /**
     * 使用状态(1:启用 0:禁用)
     */
    private Integer useStatus;
    /**
     * 能耗标准[度(升)/百公里]
     */
    private BigDecimal energyLevel;

}