package com.yc.ship.module.resource.dal.dataobject.guide;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 导游管理 DO
 *
 * @author 管理员
 */
@TableName("dispatch_guide")
@KeySequence("dispatch_guide_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GuideDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 导游名称
     */
    private String name;
    /**
     * 导游编号
     */
    private String guideCode;
    /**
    /**
     * 微信号
     */
    private String wxNo;
    /**
     * 导游证件号
     */
    private String guideCardCode;
    /**
     * 导游证件到期时间
     */
    private LocalDateTime guideCardExpireDate;

    /**
     * 入职时间
     */
    private LocalDateTime entryDate;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 性别
     */
    private Integer sex;
    /**
     * 生日
     */
    private LocalDateTime birthday;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 导游级别(高级、中级、初级、实习)
     */
    private Integer techniLevel;
    /**
     * 供应商ID（导游提供方表）
     */
    private String companyId;
    /**
     * 导游类型(0内部、1外部)
     */
    private Integer guideType;
    /**
     * 学历(小学、初中、高中、大学、研究生..)
     */
    private Integer eduType;
    /**
     * 民族
     */
    private Integer nation;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 紧急联系电话
     */
    private String emergentPhone;
    /**
     * 语种-多选（中文、英语、法语..）
     */
    private String languageType;
    /**
     * 所属分组（导游分组表）
     */
    private String groupCode;
    /**
     * 认证状态：草稿、审核中、已通过、已驳回
     */
    private Integer authStatus;
    /**
     * 启用状态：0禁用、1启用
     */
    private Integer useStatus;
    /**
     * 导游特长
     */
    private String guideSpeciality;
    /**
     * 导游标签
     */
    private String guideTag;
    /**
     * 导游证件号正面
     */
    private String guideCardImgUrl1;
    /**
     * 导游证件号背面
     */
    private String guideCardImgUrl2;
    /**
     * 身份证证件号正面
     */
    private String idCardImgUrl1;
    /**
     * 身份证证件号背面
     */
    private String idCardImgUrl2;
    /**
     * 开户银行
     */
    private String bankName;
    /**
     * 开户账户
     */
    private String bankUserCode;
    /**
     * 银行账户名
     */
    private String bankUserName;
    /**
     * 联行号
     */
    private String bankUserLink;

}
