package com.yc.ship.module.resource.dal.dataobject.guidecheckin;

import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.time.LocalDate;
import java.util.Map;

/**
 * 导游出勤 DO
 *
 * @author 管理员
 */
@TableName("dispatch_guide_check_in")
@KeySequence("dispatch_guide_check_in_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GuideCheckInDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 用户类型（导游-1，驾驶员-2）
     */
    private Integer type;
    /**
     * 导游id
     */
    private String guideId;
    /**
     * 出勤时间
     */
    private LocalDate checkTime;
    /**
     * 出勤日期上午或下午(0-上午，1-下午，2-全天)
     */
    private Integer checkTimeType;
    /**
     * 考勤状态
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;
    /**
     * 导游姓名
     */
    @TableField(exist = false)
    private String name;
    /**
     * 性别
     */
    @TableField(exist = false)
    private Integer sex;

    @TableField(exist = false)
    private Map<String ,Integer> checkInMap;

}
