package com.yc.ship.module.resource.dal.dataobject.guidegroup;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 导游分组 DO
 *
 * @author 管理员
 */
@TableName("dispatch_guide_group")
@KeySequence("dispatch_guide_group_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GuideGroupDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.INPUT)
    private String id;
    /**
     * 父级ID
     */
    private String parentId;
    /**
     * 分组名称
     */
    private String name;
    /**
     * 分组编号
     */
    private String groupCode;
    /**
     * 排序
     */
    private Integer sort;

}
