package com.yc.ship.module.resource.service.company;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.company.vo.CompanyPageReqVO;
import com.yc.ship.module.resource.controller.admin.company.vo.CompanySaveReqVO;
import com.yc.ship.module.resource.controller.admin.vo.SimpleListReqVO;
import com.yc.ship.module.resource.dal.dataobject.company.CompanyDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 供应商 Service 接口
 *
 * @author 管理员
 */
public interface CompanyService {

    /**
     * 创建供应商
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    String createCompany(@Valid CompanySaveReqVO createReqVO);

    /**
     * 更新供应商
     *
     * @param updateReqVO 更新信息
     */
    void updateCompany(@Valid CompanySaveReqVO updateReqVO);

    /**
     * 删除供应商
     *
     * @param id 编号
     */
    void deleteCompany(String id);

    /**
     * 获得供应商
     *
     * @param id 编号
     * @return 供应商
     */
    CompanyDO getCompany(String id);

    /**
     * 获得供应商分页
     *
     * @param pageReqVO 分页查询
     * @return 供应商分页
     */
    PageResult<CompanyDO> getCompanyPage(CompanyPageReqVO pageReqVO);

    List<CompanyDO> getCompanyList(SimpleListReqVO listReqVO);

}