package com.yc.ship.module.resource.service.drivergroup;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.drivergroup.vo.DriverGroupPageReqVO;
import com.yc.ship.module.resource.controller.admin.drivergroup.vo.DriverGroupSaveReqVO;
import com.yc.ship.module.resource.controller.admin.vo.SimpleListReqVO;
import com.yc.ship.module.resource.dal.dataobject.drivergroup.DriverGroupDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 驾驶员分组 Service 接口
 *
 * @author 管理员
 */
public interface DriverGroupService {

    /**
     * 创建驾驶员分组
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    String createDriverGroup(@Valid DriverGroupSaveReqVO createReqVO);

    /**
     * 更新驾驶员分组
     *
     * @param updateReqVO 更新信息
     */
    void updateDriverGroup(@Valid DriverGroupSaveReqVO updateReqVO);

    /**
     * 删除驾驶员分组
     *
     * @param id 编号
     */
    void deleteDriverGroup(String id);

    /**
     * 获得驾驶员分组
     *
     * @param id 编号
     * @return 驾驶员分组
     */
    DriverGroupDO getDriverGroup(String id);

    /**
     * 获得驾驶员分组分页
     *
     * @param pageReqVO 分页查询
     * @return 驾驶员分组分页
     */
    PageResult<DriverGroupDO> getDriverGroupPage(DriverGroupPageReqVO pageReqVO);

    List<DriverGroupDO> getGroupList(SimpleListReqVO listReqVO);

}