package com.yc.ship.module.resource.service.guide;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.guide.vo.GuidePageReqVO;
import com.yc.ship.module.resource.controller.admin.guide.vo.GuideSaveReqVO;
import com.yc.ship.module.resource.controller.admin.guide.vo.GuideSimpleRespVO;
import com.yc.ship.module.resource.dal.dataobject.guide.GuideDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 导游管理 Service 接口
 *
 * @author 管理员
 */
public interface GuideService {

    /**
     * 创建导游管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    String createGuide(@Valid GuideSaveReqVO createReqVO);

    /**
     * 更新导游管理
     *
     * @param updateReqVO 更新信息
     */
    void updateGuide(@Valid GuideSaveReqVO updateReqVO);

    /**
     * 删除导游管理
     *
     * @param id 编号
     */
    void deleteGuide(String id);

    /**
     * 获得导游管理
     *
     * @param id 编号
     * @return 导游管理
     */
    GuideDO getGuide(String id);

    /**
     * 获得导游管理分页
     *
     * @param pageReqVO 分页查询
     * @return 导游管理分页
     */
    PageResult<GuideDO> getGuidePage(GuidePageReqVO pageReqVO);

    List<GuideDO> getGuideList(GuideSimpleRespVO listReqVO);


}
