package com.yc.ship.module.resource.service.suppliercategory;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.suppliercategory.vo.SupplierCategoryPageReqVO;
import com.yc.ship.module.resource.controller.admin.suppliercategory.vo.SupplierCategorySaveReqVO;
import com.yc.ship.module.resource.dal.dataobject.suppliercategory.SupplierCategoryDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 资源供应商与资源类型关联 Service 接口
 *
 * @author 管理员
 */
public interface SupplierCategoryService {

    /**
     * 创建资源供应商与资源类型关联
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSupplierCategory(@Valid SupplierCategorySaveReqVO createReqVO);

    /**
     * 更新资源供应商与资源类型关联
     *
     * @param updateReqVO 更新信息
     */
    void updateSupplierCategory(@Valid SupplierCategorySaveReqVO updateReqVO);

    /**
     * 删除资源供应商与资源类型关联
     *
     * @param id 编号
     */
    void deleteSupplierCategory(Long id);

    /**
     * 获得资源供应商与资源类型关联
     *
     * @param id 编号
     * @return 资源供应商与资源类型关联
     */
    SupplierCategoryDO getSupplierCategory(Long id);
    List<SupplierCategoryDO> getSupplierCategoryList(Long id);

    /**
     * 获得资源供应商与资源类型关联分页
     *
     * @param pageReqVO 分页查询
     * @return 资源供应商与资源类型关联分页
     */
    PageResult<SupplierCategoryDO> getSupplierCategoryPage(SupplierCategoryPageReqVO pageReqVO);

    void saveBatch(List<Long> resourceList, Long id);
}